## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# PrefixResolver Class Reference

This class defines an interface for classes that resolve namespace prefixes to their URIs. More...

`#include <PrefixResolver.hpp>`

Inheritance diagram for PrefixResolver

List of all members.

## Public Methods

- PrefixResolver ()
- PrefixResolver (const PrefixResolver&)
- virtual ~PrefixResolver ()
- virtual const XalanDOMString* getNamespaceForPrefix (const XalanDOMString& prefix) const = 0
    Retrieve a namespace corresponding to a prefix. More...
- virtual const XalanDOMString& getURI () const = 0
    Retrieve the base URI for the resolver. More...

## Detailed Description

This class defines an interface for classes that resolve namespace prefixes to their URIs.

## Constructor & Destructor Documentation

PrefixResolver::PrefixResolver ( | )

PrefixResolver::PrefixResolver ( | const PrefixResolver & )

virtual PrefixResolver::~PrefixResolver ( | )`[virtual]`

## Member Function Documentation

const XalanDOMString * PrefixResolver::getNamespaceForPrefix ( | const XalanDOMString & prefix ) const`[pure virtual]`

Retrieve a namespace corresponding to a prefix.

This assumes that the PrevixResolver holds its own namespace context, or is a namespace context itself.

Parameters:

  prefix | Prefix to resolve

Returns:
  namespace that prefix resolves to, or null if prefix is not found

Reimplemented in ElemTemplateElement, ElementPrefixResolverProxy, Stylesheet, XSLTEngineImpl, XalanDocumentPrefixResolver, XalanNamespacesStack::PrefixResolverProxy, XalanQName::PrefixResolverProxy, and XalanSimplePrefixResolver.

const XalanDOMString & PrefixResolver::getURI ( | ) const`[pure virtual]`

Retrieve the base URI for the resolver.

Returns:
  URI string

Reimplemented in ElemTemplateElement, ElementPrefixResolverProxy, Stylesheet, XSLTEngineImpl, XalanDocumentPrefixResolver, XalanNamespacesStack::PrefixResolverProxy, XalanQName::PrefixResolverProxy, and XalanSimplePrefixResolver.

The documentation for this class was generated from the following file:

- PrefixResolver.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.